
Figure - Bug #112449
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】开发者选项-图片驱动程序偏好设置-点击之后闪退会主界面
2022-10-09 14:44 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-09

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221008.alpha

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备进入开发者模式

【测试步骤】

1、进入开发者选项

2、点击图片驱动程序偏好设置

【预期结果】

2、成功进入图片驱动程序偏好设置

【实际结果】

2、点击之后闪退会主界面

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-10-09 17:12 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 60

- Resolution changed from -- to FIXED

- Root cause set to 编码问题

■ Current conclusion

分析中

■ My analysis

原生页面与SettingActivity强绑定。强转失败导致crash

■ Next action

本地修复验证
#2 - 2022-10-09 18:33 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 60 to 100

- Degrated changed from -- to No

■ Current conclusion

已修复

■ My analysis

原生页面与SettingActivity强绑定。强转失败导致crash

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154168

#3 - 2022-10-10 11:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2022-10-10 11:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154168 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Developer Page BugDeveloper Options - Image Driver Preferences - Click to exit the main interfaceTC-RID: 1201-0201809IssueID:

TS-R-BUG-112449Change-Id: Ia06f656d505eab62cb41600f0df049e79ce1ca21

Files

Phone-5221FC0 2022-10-09 14-27-50.mp4 21.7 MB 2022-10-09 CD TEST-方永红

图片驱动配置闪退.log 18.4 KB 2022-10-09 CD TEST-方永红
